aboutsummaryrefslogtreecommitdiffstats
path: root/docker
diff options
context:
space:
mode:
authorCédric Ollivier <cedric.ollivier@orange.com>2017-07-11 23:53:36 +0200
committerCédric Ollivier <cedric.ollivier@orange.com>2017-07-17 03:07:38 +0200
commit6ff8e6fd6be9f1fc57506db52432a1cb20f4db99 (patch)
tree7a7a6fdb4d82889352a5414775580d618c53ae6c /docker
parent40b8cd5a23a3635cb303144993769a7ab0fc2709 (diff)
Add script to build all containers
It also sets opnfv as default repository as they will be pushed by releng. It adds hooks asked for automated build via Docker which allows continuous integration before the update of jjobs. Change-Id: I08b55b1ff334afe6c0f58af3100cfa04f76d8ef0 Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
Diffstat (limited to 'docker')
-rw-r--r--docker/healthcheck/Dockerfile2
-rw-r--r--docker/healthcheck/hooks/build7
-rw-r--r--docker/smoke/Dockerfile2
-rw-r--r--docker/smoke/hooks/build7
4 files changed, 16 insertions, 2 deletions
diff --git a/docker/healthcheck/Dockerfile b/docker/healthcheck/Dockerfile
index 6dfea7f8a..8923e4cd7 100644
--- a/docker/healthcheck/Dockerfile
+++ b/docker/healthcheck/Dockerfile
@@ -1,4 +1,4 @@
-FROM ollivier/functest-core
+FROM opnfv/functest-core
COPY testcases.yaml /usr/lib/python2.7/site-packages/functest/ci/testcases.yaml
CMD ["bash","-c","prepare_env start && run_tests -t all"]
diff --git a/docker/healthcheck/hooks/build b/docker/healthcheck/hooks/build
new file mode 100644
index 000000000..e5d15b526
--- /dev/null
+++ b/docker/healthcheck/hooks/build
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+from="${DOCKER_REPO%/*}/functest-core"
+sed -i "s|^FROM.*$|FROM ${from}|" Dockerfile &&
+ docker build -t "${IMAGE_NAME}" .
+
+exit $?
diff --git a/docker/smoke/Dockerfile b/docker/smoke/Dockerfile
index b6f84b64a..15ab702d0 100644
--- a/docker/smoke/Dockerfile
+++ b/docker/smoke/Dockerfile
@@ -1,4 +1,4 @@
-FROM ollivier/functest-core
+FROM opnfv/functest-core
ARG BRANCH=master
ARG OPENSTACK_TAG=stable/ocata
diff --git a/docker/smoke/hooks/build b/docker/smoke/hooks/build
new file mode 100644
index 000000000..e5d15b526
--- /dev/null
+++ b/docker/smoke/hooks/build
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+from="${DOCKER_REPO%/*}/functest-core"
+sed -i "s|^FROM.*$|FROM ${from}|" Dockerfile &&
+ docker build -t "${IMAGE_NAME}" .
+
+exit $?